Support » How-To and Troubleshooting » Updatred to Wp 2.9 and get this error – Warning: curl_setopt() [function.curl-se

Updatred to Wp 2.9 and get this error – Warning: curl_setopt() [function.curl-se

  • hi

    i update to v 2.9 and i get this error – help me

    error message:

    Warning: curl_setopt() [function.curl-setopt]: CURLPROTO_FILE cannot be activated when in safe_mode or an open_basedir is set in /home/jon/public_html/wp-includes/http.php on line 1302

    please help me. thnx


Viewing 15 replies - 1 through 15 (of 28 total)
  • I’m getting the same problem too. I have no idea what it means, but I’d really like to fix it…

    I deactivated all my plugins and restarted them one by one, to try and find the fault, unfortunately I managed to restart them all without encountering the fault again. I thought it might have been the Twitter plugin, but nothing has kicked the fault off now.

    try deactivating ALL your plugins then re-activating them

    i localized the plugin. its Cforms II v11.1 plugin used to make forms. I have it deactivated but don’t knw how to get through. my host says safe mode is off so i guess its upto cforms to help me.

    But i wud like to knw what has changed in wordpress 2.9 that all of a sudden i am facing this error of curl_setopt()

    any help wud be great


    I too am getting the same error on both of my installs. Looking for a resolution…

    – T



    The same problem here… I found here something about it… They say it solves itself in a few minutes. Good luck!

    I’m getting the same problem too. I have no idea what it means, but I’d really like to fix it…

    I emailed my host and they disabled openbase_dir protection for my account. Shortly after emailing them I went to sleep, so I don’t know if the error cleared with or without that fix on their end (per @richard Hernandez’s comments). As of now I don’t have the problem.

    same problem here, what is the solution?

    Based on the lack of response to this post on the cforms forum, I’d say we are all going to have to wait for the plug-in developer to address the issue:

    Or perhaps not. I just upgraded the Test system I have that uses cforms and it works fine, with just a couple of warnings at the bottom of the page:
    Warning: Unknown: open(/tmp/sess_18c8a7ce414ca40692a34cfcd9ef8515, O_RDWR) failed: Permission denied (13) in Unknown on line 0

    Warning: Unknown: Failed to write session data (files). Please verify that the current setting of session.save_path is correct (/tmp) in Unknown on line 0

    WordPress 2.9, cformsii 11.1 and Firefox 3.5.5

    I noticed this error on the dashboard and here’s how I fixed it. I’m sure a bug needs to be submitted and the core updated but for what it’s worth if you need this fixed now do the following:

    Edit /wp-includes/http.php and change the if statement on line 1300 to this:

    if ( defined( 'CURLOPT_TIMEOUT_MS' ) ) {
    			// EDF - The option doesn't work with safe mode or when open_basedir is set. More
    			// research is probably necessary however this seems to fix the problems I was
    			// seeing in the "WordPress Development Blog" section of the Dashboard.
    			if ( !ini_get('safe_mode') && !ini_get('open_basedir') ) {
    				$timeout_ms = (int) ceil( 1000 * $r['timeout'] );
    				curl_setopt( $handle, CURLOPT_CONNECTTIMEOUT_MS, $timeout_ms );
    				curl_setopt( $handle, CURLOPT_TIMEOUT_MS, $timeout_ms );
    		} else {
    			$timeout = (int) ceil( $r['timeout'] );
    			curl_setopt( $handle, CURLOPT_CONNECTTIMEOUT, $timeout );
    			curl_setopt( $handle, CURLOPT_TIMEOUT, $timeout );

    Hope it helps.

    The problem is from the XML Google sitemap, that’s why when you want to publish or update a post you get that error message, because after updating or publishing, the plugin is called to rebuild the sitemap automatically.. I disabled the plugin and things got back to normal.. Try it and let me know..

    or just uncheck the options that make the sitemap get updated automatically after the blog content is edited..

    @eric.fournier: thnx. it worked like a charm 😛 i hope we get a new official fix on this asap. #ericwin #wordpress2point9fail

    I don’t have the XML Google sitemap plug-in but do have cforms…

    Revised the code as recommended by eric.fournier above and voilà, the problem disappeared.

    Thank you, Eric.

Viewing 15 replies - 1 through 15 (of 28 total)
  • The topic ‘Updatred to Wp 2.9 and get this error – Warning: curl_setopt() [function.curl-se’ is closed to new replies.